Represents an item within the master view.

### Hierarchy

- ObjectListItemProps
  - ObjectListItemDndProps

## Index

### Properties

- containerProperties
- data
- filterPredicate
- handlers
- imageProvider
- labelProvider
- path
- rootData
- schema
- selection

## Properties

### Optional containerProperties

containerProperties: Property[]

- Defined in tree/ObjectListItem.tsx:156

Self contained schemas of the corresponding schema

### data

data: any

- Defined in tree/ObjectListItem.tsx:145

### filterPredicate

filterPredicate: any

- Defined in tree/ObjectListItem.tsx:152

### handlers

handlers: object

- Defined in tree/ObjectListItem.tsx:147

#### Type declaration

- ##### onAdd: any

- ##### Optional onRemove?: any

- ##### onSelect: any

### imageProvider

imageProvider: any

- Defined in tree/ObjectListItem.tsx:157

### labelProvider

labelProvider: InstanceLabelProvider

- Defined in tree/ObjectListItem.tsx:158

### path

path: string

- Defined in tree/ObjectListItem.tsx:142

### rootData

rootData: any

- Defined in tree/ObjectListItem.tsx:144

### schema

schema: JsonSchema7

- Defined in tree/ObjectListItem.tsx:143

### selection

selection: any

- Defined in tree/ObjectListItem.tsx:146

Generated using TypeDoc